package cn.com.countrygarden.bi.main.service.mediaResource;

import java.io.IOException;
import java.util.List;
import java.util.Map;

import org.springframework.web.multipart.MultipartFile;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.core.Service;
import cn.com.countrygarden.bi.main.dto.BasicInfoDto;
import cn.com.countrygarden.bi.main.dto.mediaResource.AreaDto;
import cn.com.countrygarden.bi.main.model.PageData;
import cn.com.countrygarden.bi.main.model.mediaResource.BasicInfo;
import cn.com.countrygarden.bi.main.model.mediaResource.ErpBasicInfo;
import cn.com.countrygarden.bi.main.model.twerp.hm.TbSysUser;

public interface BasicInfoService extends Service<BasicInfo>{
	
	int saveBasicInfo(List<BasicInfo> list);
	List<String> findDbbasicInfoId();
	/**
	 * 查询列表
	 * @param accessToken 
	 * @param dto
	 * @return
	 */
	PageData finBasicByPage(String accessToken, BasicInfoDto dto);
	/**
	 * 物业区域
	 * @param accessToken 
	 * @param dto
	 * @return
	 */
	List<String> propertyAreaData(String accessToken, BasicInfoDto dto);
	/**
	 * 省份
	 * @param dto
	 * @return
	 */
	List<Map<String,Object>> provinceData(BasicInfoDto dto);
	/**
	 * 市
	 * @param dto
	 * @return
	 */
	List<Map<String,Object>> cityData(BasicInfoDto dto);
	/**
	 * 查询单个
	 * @param dto
	 * @return
	 */
	Map<String,String> findOne(BasicInfo po);
	/**
	 * 保存
	 * @param accessToken 
	 * @param dto
	 * @return
	 */
	Result saveOne(String accessToken, BasicInfoDto dto);
	/**
	 * 导出数据
	 * @param dto
	 * @return
	 */
	List<Map<String,Object>> findBasic(String accessToken,BasicInfoDto dto);
	/**
	 * of propertyarea to projectproject
	 * @param dto
	 * @return
	 */
	List<String> propertyProjectData(BasicInfoDto dto);

	List<ErpBasicInfo> findErpBasicInfo();
	
	List<BasicInfo> finddbBasicInfo();
	
	void updateBasicInfo(List<BasicInfo> updateList);
	
	
	List<Map<String, Object>> provinces(AreaDto dto);
	
	TbSysUser findErpUser(String accessToken);
	
	Result exportIn(String accessToken, Result rt, MultipartFile file) throws IOException;
	
	Result regional(String accessToken);
	

}
